#!/bin/bash

echo " "
echo " "

# Get the username of the current logged-in user
currentUser=`ls -l /dev/console | awk '{ print $3 }'`

# Get the UID of the current logged-in user
uid=$(id -u $currentUser)

echo "Approved Background Items for the UID $uid.  Account name is: $currentUser"
echo "###############################################################################"

# Use sfltool to dump the BTM data
output=$(sfltool dumpbtm)

# Use sed to show only the desired output
echo "$output" | sed -n "/Records for UID $uid/,/Records for UID/{//!p;}" | grep -v "===================="

echo " "
echo "Scroll up   ^^  "		
echo "###############################################################################"
